HighLowDataPoint (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.chart.HighLowDataPoint class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.chart
Class HighLowDataPoint

    java.lang.Object
      org.hyperic.image.chart.DataPoint
          org.hyperic.image.chart.HighLowDataPoint

All Implemented Interfaces:
  IDataPoint, IDisplayDataPoint, IHighLowDataPoint, IStackedDataPoint

    public class HighLowDataPoint

extends DataPoint
implements IHighLowDataPoint

TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`HighLowDataPoint(double high, double low, double avg)`
`HighLowDataPoint(double high, double low, double avg, long timestamp)`
`HighLowDataPoint(double high, double low, double avg, java.lang.String label)`

Method Summary
`double` | `getAverageValue()`
`double` | `getHighValue()` Retrieves the high value of a chart data point.
`double` | `getLowValue()` Retrieves the low value of a chart data point.
`double[]` | `getValues()` Retrieves the value of a chart data point.

Methods inherited from class org.hyperic.image.chart.DataPoint
`equals, getLabel, getTimestamp, getValue, setLabel, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.util.data.IDisplayDataPoint
`getLabel, getTimestamp`

Methods inherited from interface org.hyperic.util.data.IDataPoint
`getValue`

Constructor Detail

### HighLowDataPoint

    public HighLowDataPoint(double high,
                            double low,
                            double avg)

### HighLowDataPoint

    public HighLowDataPoint(double high,
                            double low,
                            double avg,
                            long timestamp)

### HighLowDataPoint

    public HighLowDataPoint(double high,
                            double low,
                            double avg,
                            java.lang.String label)

Method Detail

### getAverageValue

    public double getAverageValue()

### getLowValue

    public double getLowValue()

  Description copied from interface: `IHighLowDataPoint`
  Retrieves the low value of a chart data point.

  Specified by:
    `getLowValue` in interface `IHighLowDataPoint`
  Returns:
    A floating point value for a chart data point.

### getHighValue

    public double getHighValue()

  Description copied from interface: `IHighLowDataPoint`
  Retrieves the high value of a chart data point.

  Specified by:
    `getHighValue` in interface `IHighLowDataPoint`
  Returns:
    A floating point value for a chart data point.

### getValues

    public double[] getValues()

  Description copied from interface: `IStackedDataPoint`
  Retrieves the value of a chart data point. The label is displayed on the X axis for stacked performance charts.

  Specified by:
    `getValues` in interface `IStackedDataPoint`
  Returns:
    A floating point value for a chart data point.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.